Gönderen Konu: [Çözüldü] Avant-Window-Navigator Kurulumunda Problem  (Okunma sayısı 2472 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı cokomoko

  • İleti: 508
Bugün Ubuntu'dan kalma bir alışkanlık olan avant-window-navigator kurmaya çalıştım Aur üzerinde iki farklı paket var ama ikisini de denememe rağmen kuramadım.Bu vala bağımlılığından dolayı libdesktop-agnostic, libdesktop-agnostic-bzr ve libdesktop-agnostic-git paketleri illa bir yerde hata veriyor, daha önce de vala bağımlılığı olan uygulamalar benim makinemde hep hata vermişti, mesela valaya bağımlı olan slingscold paketini @ Z3r0nU11'in derleyip bana ilettiği paket dosyasıyla kurabilmiştim.

Siz değerli arkadaşlardan isteğim libdesktop-agnostic, libdesktop-agnostic-bzr ve libdesktop-agnostic-git paketlerinden herhangibirini sorunsuz derleyen varsa pkg.tar.xz dosyasını bir şekilde bir yere yüklemesi olacak, hatta avant-window-navigator veya avant-window-navigator-bzr paketlerini de aynı şekilde iletebilirseniz sevinirim.


Kod: [Seç]
Waf: Leaving directory `/tmp/yaourt-tmp-cokomoko/aur-libdesktop-agnostic/src/libdesktop-agnostic-0.3.92/build'
Build failed
 -> task failed (err #1):
{task: valac_task ui-color-button.vala,ui-icon-button.vala,ui-icon-chooser-dialog.vala,ui-launcher-editor-dialog.vala -> ui-color-button.c,ui.h,desktop-agnostic-ui.vapi,desktop-agnostic-ui.deps,ui-icon-button.c,ui.h,desktop-agnostic-ui.vapi,desktop-agnostic-ui.deps,ui-icon-chooser-dialog.c,ui.h,desktop-agnostic-ui.vapi,desktop-agnostic-ui.deps,ui-launcher-editor-dialog.c,ui.h,desktop-agnostic-ui.vapi,desktop-agnostic-ui.deps,ui.h}
==> HATA: build() içinde bir hata oluştu.
    Çıkılıyor...
┌─[cokomoko]──[cokomoko]:/tmp/yaourt-tmp-cokomoko/aur-libdesktop-agnostic$


Kod: [Seç]
Waf: Leaving directory `/tmp/yaourt-tmp-cokomoko/aur-libdesktop-agnostic-git/src/libdesktop-agnostic/build'
Build failed
 -> task failed (err #1):
{task: cc config-schema-option.c -> config-schema-option_3.o}
==> HATA: build() içinde bir hata oluştu.
    Çıkılıyor...
┌─[cokomoko]──[cokomoko]:/tmp/yaourt-tmp-cokomoko/aur-libdesktop-agnostic-git$

Hata çıktıları bu şekilde bir de şurada sorun çözülmüş https://bbs.archlinux.org/viewtopic.php?id=170713&p=4 ama ben dediklerini yapmama rağmen sonuç alamadım.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı cokomoko

  • İleti: 508
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #1 : 06 Mayıs 2015 - 19:45:57 »
Kod: [Seç]
Checking for program version valac >= 0.1.6 : ok 0.26.1

hmm uygulama eski bir vala sürümünü istiyor hata buradan kaynaklanıyor olmalı ama bakalım sorunsuz derleyebilen çıkacak mı?
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı Z3r0nU11

  • İleti: 94
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
echo \"main(i){for(i=0;;i++)putchar(((i*(i>>7|i>>9)&46&i>>8))^(i&i>>9|i>>4));}\" | gcc -x c - && ./a.out | aplay

Çevrimdışı cokomoko

  • İleti: 508
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #3 : 06 Mayıs 2015 - 20:11:18 »
kurabildin mi avant'ı ya bu vala neden bende böyle yapıyor anlamadım?
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı Z3r0nU11

  • İleti: 94
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #4 : 06 Mayıs 2015 - 20:13:57 »
Ben sadece derledim @cokomoko.

Kurulumda sorun yasarsan yine yardimci oluruz.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
echo \"main(i){for(i=0;;i++)putchar(((i*(i>>7|i>>9)&46&i>>8))^(i&i>>9|i>>4));}\" | gcc -x c - && ./a.out | aplay

Çevrimdışı cokomoko

  • İleti: 508
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #5 : 06 Mayıs 2015 - 20:17:06 »
http://i.imgur.com/1mdpvEc.png" alt="" class="bbc_img" /> oldu ya sağolasın



benim anlamadığım bu vala bağımlılığı olan paketler neden bende derlemede sorun çıkarıyor da sende çıkarmıyor?Çok ilginç.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı cokomoko

  • İleti: 508
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #6 : 06 Mayıs 2015 - 20:20:22 »
şunları da bir derleyebilirmisin bana avant-window-navigator-bzr, awn-extras-applets-bzr, libdesktop-agnostic-git
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı Z3r0nU11

  • İleti: 94
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #7 : 06 Mayıs 2015 - 20:21:47 »
Musait bir zamanda ilgilenirim @cokomoko.

Suan pek musait degilim, :(

Unutursam basligi bir durtersin.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
echo \"main(i){for(i=0;;i++)putchar(((i*(i>>7|i>>9)&46&i>>8))^(i&i>>9|i>>4));}\" | gcc -x c - && ./a.out | aplay

Çevrimdışı cokomoko

  • İleti: 508
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #8 : 06 Mayıs 2015 - 20:26:57 »
tamam çok sağol @Z3r0nU11
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı Z3r0nU11

  • İleti: 94
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #9 : 06 Mayıs 2015 - 20:28:57 »
avant-window-navigator-bzr, paketi tasinmis.Paketciside yok.Adresten kurulum yapabilirsiniz.

http://https://github.com/p12tic/awn
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
echo \"main(i){for(i=0;;i++)putchar(((i*(i>>7|i>>9)&46&i>>8))^(i&i>>9|i>>4));}\" | gcc -x c - && ./a.out | aplay

Çevrimdışı cokomoko

  • İleti: 508
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #10 : 06 Mayıs 2015 - 20:34:14 »
ordan denedim olmadı ama ben bzr üzerinden üzerinden avant'ı çekebiliyorum da derlemede hata veriyor.
Kod: [Seç]
==> avant-window-navigator-bzr 830-3 (Çrş May  6 20:38:23 UTC 2015) paketi oluşturuluyor
==> Bağımlılıklar denetleniyor...
==> Derleme bağımlılıkları denetleniyor...
==> Kaynaklar getiriliyor...
==> Kaynaklar açılıyor...
==> Mevcut $pkgdir/ dizini kaldırılıyor ...
==> build() işlemine başlanıyor...
==> Connecting to Bazaar server....
No revisions or tags to pull.                                                  
==> The local files are updated.
==> Bazaar checkout done or server timeout
==> Starting build...
/usr/sbin/gnome-autogen.sh
checking for automake >= 1.9...
  testing automake... found 1.15
checking for autoreconf >= 2.53...
  testing autoreconf... found 2.69
checking for glib-gettext >= 2.2.0...
  testing glib-gettextize... found 2.44.0
checking for intltool >= 0.25...
  testing intltoolize... found 0.50.2
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.28
checking for gtk-doc >= 1.0...
  testing gtkdocize... found 1.21
Checking for required M4 macros...
**Warning**: I am going to run `configure' with no arguments.
If you wish to pass any to it, please specify them on the
`./autogen.sh' command line.

Processing ./configure.in
Running glib-gettextize... Ignore non-fatal messages.
Copying file po/Makefile.in.in

Please add the files
  codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
  progtest.m4
from the /usr/share/aclocal directory to your autoconf macro directory
or directly to your aclocal.m4 file.
You will also need config.guess and config.sub, which you can get from
ftp://ftp.gnu.org/pub/gnu/config/.


bzr üzerinden avant'ı çekerken biraz bekliyor, sonra derlemeye geçiyor, yani paketi çekmede bir sorun yok.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı Z3r0nU11

  • İleti: 94
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #11 : 06 Mayıs 2015 - 20:50:54 »
Cok sorunlu paketler bunlar @cokomoko bzr'ler sart mi?
Kod: [Seç]
makedepends=( 'vala-012')

Zira vala icin 012 demis.
« Son Düzenleme: 06 Mayıs 2015 - 20:53:34 Gönderen: Z3r0nU11 »
echo \"main(i){for(i=0;;i++)putchar(((i*(i>>7|i>>9)&46&i>>8))^(i&i>>9|i>>4));}\" | gcc -x c - && ./a.out | aplay

Çevrimdışı cokomoko

  • İleti: 508
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #12 : 06 Mayıs 2015 - 20:53:19 »
şart değil de o sürüm biraz farklı ondan istemiştim
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı Z3r0nU11

  • İleti: 94
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #13 : 06 Mayıs 2015 - 21:06:32 »
Anladim @cokomoko ama zaten guncellenmemis ve surum dusurme de gerekiyor derlemek icin iste bu yuzden cok sorunlu paket python icinde 2.5 yazmislar ama bilemedim.Musait bir zaman da detayli bir inceleme yapmak gerekiyor, yada paketi uslenecek birililerini beklemek.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
echo \"main(i){for(i=0;;i++)putchar(((i*(i>>7|i>>9)&46&i>>8))^(i&i>>9|i>>4));}\" | gcc -x c - && ./a.out | aplay

Çevrimdışı cokomoko

  • İleti: 508
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #14 : 06 Mayıs 2015 - 21:08:17 »
olsun bu da yeter bana sağol
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı Z3r0nU11

  • İleti: 94
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #15 : 06 Mayıs 2015 - 21:09:17 »
Rica ederim.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
echo \"main(i){for(i=0;;i++)putchar(((i*(i>>7|i>>9)&46&i>>8))^(i&i>>9|i>>4));}\" | gcc -x c - && ./a.out | aplay

Çevrimdışı Z3r0nU11

  • İleti: 94
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #16 : 07 Mayıs 2015 - 00:39:08 »
avant-window-navigator-bzr, awn-extras-applets-bzr, libdesktop-agnostic-bzr

Uc paketide ekledim.

http://http://s4.dosya.tc/server2/s1avqz/awm-bzr.zip.html
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
echo \"main(i){for(i=0;;i++)putchar(((i*(i>>7|i>>9)&46&i>>8))^(i&i>>9|i>>4));}\" | gcc -x c - && ./a.out | aplay

Çevrimdışı cokomoko

  • İleti: 508
Re: Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #17 : 07 Mayıs 2015 - 11:03:29 »
Çok teşekkür ederim istediğim sürümü elde ettim, bu vala bağımlılığı olan paketlerde sana muhtaç oluyorum.

Senin derlediğin paketlerle kurulumu yapabiliyorum, ama iş benim derlememe gelince olmuyor bu vala bana tavır yapıyor sanki :)

Bir ilginç durum da mesela sen derleyip bana paketi veriyorsun ya, o paketi kurduktan sonra aynı paketi aur üzerinden çekip bir daha derliyorum bu kez sorunsuz derliyor bende.

Nedir benim bu vala çektiğim ciddi ciddi bana tavır yapıyor :)

Bu güne kadar senin derlediğin paketlerle sadece multisystem'de başarısız olduk, o da çok sorunlu paketti.
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı Z3r0nU11

  • İleti: 94
Re: [Çözüldü] Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #18 : 07 Mayıs 2015 - 11:33:00 »
@cokomoko bagimliliklari saglamiyor olabilirsiniz.Yoksa dediginiz gibi bir durum olamaz. Derlenen derlenmistir, sorunlu paket yine sorunludur,taki duzeltilene kadar.Inanin sadece sorun yasayan siz degilsiniz,

Ornek http://http://www.archtr.org/forum/viewtopic.php?f=66&t=1318 ben de sorun yasiyormusum.

Gerci pakete duzeltme notu dusulmus ama ben gormedigim icin kendim kod duzeltmelesi yaptim ki bu durum bazi zamanlar gerekiyor.Gelelim sizin tekrar derleme sorununuza, yolladigim paketlerin hepsini sistemden kaldirirsaniz tekrar derlemeyi denerseniz tekrar sorun cikacaktir.Test etmek size kalmis. :)
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
echo \"main(i){for(i=0;;i++)putchar(((i*(i>>7|i>>9)&46&i>>8))^(i&i>>9|i>>4));}\" | gcc -x c - && ./a.out | aplay

Çevrimdışı cokomoko

  • İleti: 508
Re: [Çözüldü] Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #19 : 07 Mayıs 2015 - 11:41:21 »
Alıntı yapılan: "Z3r0nU11"
Gelelim sizin tekrar derleme sorununuza, yolladigim paketlerin hepsini sistemden kaldirirsaniz tekrar derlemeyi denerseniz tekrar sorun cikacaktir.Test etmek size kalmis. :)

 zaten sizin paketi ayar dosyalarıyla birlikte kaldırıp tekrar aur'dan derliyorum ve bu kez derliyor, işte bana ilginç gelen de bu ve sadece vala bağımlılığı olan paketlerde bu sorunu yaşıyorum.

Bu arada avant çok güzel ve hoş durdu sağol

http://i.imgur.com/9TW8EK3.png
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"

Çevrimdışı Z3r0nU11

  • İleti: 94
Re: [Çözüldü] Avant-Window-Navigator Kurulumunda Problem
« Yanıtla #20 : 07 Mayıs 2015 - 11:47:49 »
Rica ederim. Tekrar dedigim gibi bagimlilik sorunu.Bunu unutmayalim. :)
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
echo \"main(i){for(i=0;;i++)putchar(((i*(i>>7|i>>9)&46&i>>8))^(i&i>>9|i>>4));}\" | gcc -x c - && ./a.out | aplay